organism <- "Drosophila melanogaster"
provider <- "UCSC"
release <- "dm2"
source_url <- "ftp://hgdownload.cse.ucsc.edu/goldenPath/dm2/bigZips/"

# The sequence names are based on the UCSC file names (FASTA files,
# ".fa" extension omitted):
seqnames <- c(
    "chr2L",
    "chr2R",
    "chr3L",
    "chr3R",
    "chr4",
    "chrX",
    "chrM",
    "chrU",
    "chr2h",
    "chr3h",
    "chr4h",
    "chrXh",
    "chrYh"
)
mseqnames <- c(
    "upstream1000",
    "upstream2000",
    "upstream5000"
)

# DON'T FORGET TO EXPORT THIS NAME!
Dmelanogaster <- new("BSgenome", organism, provider,
                     release, source_url, seqnames, mseqnames,
                     "BSgenome.Dmelanogaster.UCSC.dm2", "extdata")
